<?php
/*------------------------------------------------------------------------
# author    Gonzalo Suez
# copyright Copyright © 2013 gsuez.cl. All rights reserved.
# @license  http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
# Website   http://www.gsuez.cl
-------------------------------------------------------------------------*/
defined('_JEXEC') or die;
// Getting params from template
$params = JFactory::getApplication()->getTemplate(true)->params;
$app = JFactory::getApplication();
$doc = JFactory::getDocument();
$color = $this->params->get('templatecolor');
// Add javascript files
// Include all compiled plugins (below), or include individual files as needed
$doc->addScript('templates/' . $this->template . '/js/jquery-3.2.1.slim.min.js');
$doc->addScript('templates/' . $this->template . '/js/popper.min.js');
$doc->addScript('templates/' . $this->template . '/js/bootstrap.min.js');
$doc->addScript('templates/' . $this->template . '/js/style.js');
// Add Stylesheets
//$doc->addStyleSheet('templates/' . $this->template . '/css/navbar.css');
$doc->addStyleSheet('templates/' . $this->template . '/css/bootstrap.min.css');
$doc->addStyleSheet('templates/' . $this->template . '/css/all.min.css');
$doc->addStyleSheet('templates/' . $this->template . '/theme/' . $color .'.css');
// Disable mootools
//unset($doc->_scripts[JURI::root(true) . '/media/system/js/mootools-more.js']);
//unset($doc->_scripts[JURI::root(true) . '/media/system/js/mootools-core.js']);
//unset($doc->_scripts[JURI::root(true) . '/media/system/js/modal.js']);
//unset($doc->_scripts[JURI::root(true) . '/media/system/js/caption.js']);
// Variables
$headdata = $doc->getHeadData();
$menu = $app->getMenu();
$active = $app->getMenu()->getActive();
$pageclass = $params->get('pageclass_sfx');
$tpath = $this->baseurl . '/templates/' . $this->template;
// Generator tag
$this->setGenerator(null);
// Force latest IE & chrome frame
$doc->setMetadata('x-ua-compatible', 'IE=edge,chrome=1');